%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-panko

Name:                   puppet-panko
Version:                11.5.0
Release:                2%{?dist}
Summary:                Puppet module for OpenStack Panko Service
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-panko

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=1bc68cb35b7b56f4a437612192baa83b36930733
Patch0001: 0001-Add-event_time_to_live-for-panko-config.patch
Patch0002: 0002-Add-Panko-expirer-class.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-stdlib
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%description
Installs and configures OpenStack Panko Events Service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/panko/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/panko/



%files
%{_datadir}/openstack-puppet/modules/panko/


%changelog
* Wed May 30 2018 Steve Linabery <slinaber@redhat.com> 11.5.0-2
- Add Panko expirer class

* Tue Feb 13 2018 Thierry Vignaud <tvignaud@redhat.com> 11.5.0-1
- Add event_time_to_live for panko config
- Update to 11.5.0

* Tue Nov 21 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-2
- add parameter to overwrite/add wsgi process options
- [pike] Add Puppet package to bindep, for module build
- Update Gemfile to pull spec_helper from stable/pike

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0



